Robots
List robot providers
Retrieve supported Robot model providers, redacted settings, cache status and cached models.
GET
Retrieve supported Robot model providers, redacted settings, cache status and cached models.
cookie
storyden-session<token>Robot providers retrieved.
application/json- response
providers*array<>curl -X GET 'https://example.com/api/robots/providers'Example Response
{ "providers": [ { "provider": "string", "supported": true, "settings": { "enabled": true, "has_api_key": true, "requires_api_key": true }, "cache": { "last_refreshed_at": "2019-08-24T14:15:22Z", "last_error": "string", "stale": true }, "models": [ { "ref": "string", "provider": "string", "model": "string" } ] } ]}